<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title><%= htmlWebpackPlugin.options.title %></title>
  <meta name="keywords" content="<%= htmlWebpackPlugin.options.keywords %>">
  <meta name="description" content="<%= htmlWebpackPlugin.options.description %>">
  <% if (htmlWebpackPlugin.options.icon) { %>
    <link rel="icon" href="<%= htmlWebpackPlugin.options.icon %>">
  <% } %>
  <% for (var i = 0; i < htmlWebpackPlugin.options.css.length; i++) { %>
    <link rel="stylesheet" href="<%= htmlWebpackPlugin.options.css[i] %>">
  <% } %>
  <script type="text/javascript">
    <% if (htmlWebpackPlugin.options.dev) { %>
      <!-- 开发环境mock数据 -->
      window.PG_CONFIG = {
        test: 'This is test data.'
      };
    <% } else { %>
      <!-- 生产环境使用真实数据，注意freemarker语法要包含在此判断中，以免在开发环境中输出而导致报错 -->
      window.PG_CONFIG = {
        test: '${test!}'
      };
    <% } %>

    <% if (htmlWebpackPlugin.options.remUnit != 50) { %>
      window.__DIV_PART__ = 750 / <%= htmlWebpackPlugin.options.remUnit %>;
    <% } %>

    <% if (htmlWebpackPlugin.options.uaId) { %>
      var _gaq = _gaq || [];
      _gaq.push(['_setAccount', '<%= htmlWebpackPlugin.options.uaId %>'],['_setLocalGifPath', '/<%= htmlWebpackPlugin.options.uaId %>/__utm.gif'],['_setLocalServerMode']);
      _gaq.push(['_addOrganic','baidu','word']);_gaq.push(['_addOrganic','soso','w']);_gaq.push(['_addOrganic','youdao','q']);
      _gaq.push(['_addOrganic','sogou','query']);_gaq.push(['_addOrganic','so.360.cn','q']);
      _gaq.push(['_trackPageview']);_gaq.push(['trackPageLoadTime']);

      (function() {
        var ga = document.createElement('script');
        ga.type = 'text/javascript';
        ga.async = true;
        ga.src = '/ga.js';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(ga, s);
      })();
    <% } %>
    <% if (htmlWebpackPlugin.options.hubbleId) { %>
      (function(document,datracker,root){function loadJsSDK(){var script,first_script;script=document.createElement("script");script.type="text/javascript";script.async=true;script.src="https://hubble-js-bucket.nosdn.127.net/DATracker.globals.1.6.9.js";first_script=document.getElementsByTagName("script")[0];first_script.parentNode.insertBefore(script,first_script)}if(!datracker["__SV"]){var win=window;var gen_fn,functions,i,lib_name="DATracker";window[lib_name]=datracker;datracker["_i"]=[];datracker["init"]=function(token,config,name){var target=datracker;if(typeof(name)!=="undefined"){target=datracker[name]=[]}else{name=lib_name}target["people"]=target["people"]||[];target["abtest"]=target["abtest"]||[];target["toString"]=function(no_stub){var str=lib_name;if(name!==lib_name){str+="."+name}if(!no_stub){str+=" (stub)"}return str};target["people"]["toString"]=function(){return target.toString(1)+".people (stub)"};function _set_and_defer(target,fn){var split=fn.split(".");if(split.length==2){target=target[split[0]];fn=split[1]}target[fn]=function(){target.push([fn].concat(Array.prototype.slice.call(arguments,0)))}}functions="get_user_id track_heatmap register_attributes register_attributes_once clear_attributes unregister_attributes current_attributes single_pageview disable time_event get_appStatus track set_userId track_pageview track_links track_forms register register_once alias unregister identify login logout signup name_tag set_config reset people.set people.set_once people.set_realname people.set_country people.set_province people.set_city people.set_age people.set_gender people.increment people.append people.union people.track_charge people.clear_charges people.delete_user people.set_populationWithAccount  people.set_location people.set_birthday people.set_region people.set_account abtest.get_variation abtest.async_get_variable".split(" ");for(i=0;i<functions.length;i++){_set_and_defer(target,functions[i])}datracker["_i"].push([token,config,name])};datracker["__SV"]=1.6;loadJsSDK()}})(document,window["DATracker"]||[],window);
      DATracker.init('<%= htmlWebpackPlugin.options.hubbleId %>', {truncateLength: 255,persistence: "localStorage",cross_subdomain_cookie: false,img: true,debug: <%= htmlWebpackPlugin.options.dev %>});
    <% } %>
  </script>
  <% for (var j = 0; j < htmlWebpackPlugin.options.prejs.length; j++) { %>
    <script type="text/javascript" src="<%= htmlWebpackPlugin.options.prejs[j] %>"></script>
  <% } %>
</head>
<body>
  <div id="root"></div>
  <% for (var k = 0; k < htmlWebpackPlugin.options.js.length; k++) { %>
    <script type="text/javascript" src="<%= htmlWebpackPlugin.options.js[k] %>"></script>
  <% } %>
</body>
</html>
